import * as React from 'react';
import TooltipOptions, { TooltipEventParams } from './TooltipOptions';
type TooltipTargetType = string | string[] | HTMLElement | any;
export interface TooltipProps extends TooltipOptions {
    id?: string;
    target?: TooltipTargetType;
    content?: string;
    children?: React.ReactNode;
}
export declare class Tooltip extends React.Component<TooltipProps, any> {
    updateTargetEvents(target: HTMLElement): void;
    loadTargetEvents(target: HTMLElement): void;
    unloadTargetEvents(target: HTMLElement): void;
    getElement(): HTMLElement;
    getTarget(): HTMLElement | null;
    show(e?: TooltipEventParams): null;
    hide(e?: TooltipEventParams): null;
}
export {};
